
pfSense Packages - Bug #16262

Squid "Undefined symbol "_ZTVNSt3__117bad_function_callE" after upgrade to 2.8

06/13/2025 12:09 AM - ageekhere ageekhere

Status: Rejected Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Squid Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version: 2.8.0 Affected

Architecture:

All

Description

See https://forum.netgate.com/topic/197620/squid-undefined-symbol-_ztvnst3__117bad_function_calle-after-upgrade-to-2-8

Current work around

uninstall squid package before updating to pfsense 2.8.0,

update pfsense + reboot

mv /usr/lib/libc++.so.1 /root

install squid

History

#1 - 06/14/2025 02:38 AM - dylan mendez

Please note Squid is deprecated from pfSense.

https://www.netgate.com/blog/deprecation-of-squid-add-on-package-for-pfsense-software

Dylan.

#2 - 06/14/2025 02:41 AM - dylan mendez

- Status changed from New to Rejected

#3 - 06/24/2025 08:58 AM - Bernhard Schmidt

So it's still installable, not mentioned in the release notes of 2.7.1, 2.7.2 and 2.8.0, but just fails to start. Most likely it could be fixed easily. Is it really

not possible to get this fixed?

AFAIK there is no other forward proxy available with that featureset.
